{ KOL MCK } // Do not remove this line!

procedure NewForm1( var Result: PForm1; AParent: PControl );
begin

  {$IFDEF KOLCLASSES}
  Result := PForm1.Create;
  {$ELSE OBJECTS}
  New( Result, Create );
  {$ENDIF KOL CLASSES/OBJECTS}
  Result.Form := NewForm( AParent, 'TKOLQProgressBar Demo' ).SetPosition( 206, 24 );
  Applet :=  Result.Form;
  Result.Form.Add2AutoFree( Result );
{$IFDEF UNICODE_CTRLS}
     Result.Form.SetUnicode(TRUE);
{$ENDIF UNICODE_CTRLS}
   {$IFDEF USE_NAMES}
    Result.Form.SetName( Applet, 'Form1' );
   {$ENDIF}
    Result.Form.Style := Result.Form.Style and not WS_MAXIMIZEBOX;
    Result.Form.SetClientSize( 903, 689 );
    Result.Form.Font.FontHeight := -12;
    Result.Form.Font.FontName := 'Courier New';

    Result.ColorDialog1 := NewColorDialog( ccoFullOpen );
   {$IFDEF USE_NAMES}
    Result.ColorDialog1.SetName( Result.Form, 'ColorDialog1' ); 
   {$ENDIF}
  Result.Form.Add2AutoFree( Result.ColorDialog1 );
    // Result.Label19.TabOrder = -1
    Result.Label19 := NewLabel( Result.Form, 'TKOLQProgressBar component demo © 2007 - Danger' ).SetPosition( 504, 664 ).SetSize( 385, 0 );
   {$IFDEF USE_NAMES}
    Result.Label19.SetName( Result.Form, 'Label19' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label19.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.Label19.Font.FontHeight := -13;
    // Result.GroupBox1.TabOrder = 0
    Result.GroupBox1 := NewGroupBox( Result.Form, '' ).SetPosition( 8, 0 ).SetSize( 681, 281 );
   {$IFDEF USE_NAMES}
    Result.GroupBox1.SetName( Result.Form, 'GroupBox1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox1.TabStop := FALSE;
    // Result.Label1.TabOrder = -1
      Result.Label1 := NewLabel( Result.GroupBox1, 'TQProgressBars can display positions either under the form of a continuous bar, or by blocks. If byBlocks, blocks can be filled either smoothly, or full block by full block :' ).SetPosition( 8, 16 ).SetSize( 657, 33 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label1.SetName( Result.Form, 'Label1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label2.TabOrder = -1
      Result.Label2 := NewLabel( Result.GroupBox1, 'In order to display blocks, the two first bars have blocks and spaces sizes > 0 :' ).SetPosition( 16, 72 ).SetSize( 209, 57 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label2.SetName( Result.Form, 'Label2' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label2.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label3.TabOrder = -1
      Result.Label3 := NewLabel( Result.GroupBox1, 'aBar.BlockSize := 15; aBar.SpaceSize := 4;' ).SetPosition( 248, 64 ).SetSize( 313, 0 );
   {$IFDEF USE_NAMES}
      Result.Label3.SetName( Result.Form, 'Label3' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label3.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label4.TabOrder = -1
      Result.Label4 := NewLabel( Result.GroupBox1, 'aBar.ShowFullBlock := True; ' ).SetPosition( 248, 96 ).SetSize( 201, 0 );
   {$IFDEF USE_NAMES}
      Result.Label4.SetName( Result.Form, 'Label4' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label4.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label5.TabOrder = -1
      Result.Label5 := NewLabel( Result.GroupBox1, 'aBar.ShowFullBlock := False; ' ).SetPosition( 248, 128 ).SetSize( 201, 0 );
   {$IFDEF USE_NAMES}
      Result.Label5.SetName( Result.Form, 'Label5' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label5.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label6.TabOrder = -1
      Result.Label6 := NewLabel( Result.GroupBox1, 'The third shows a continuous bar, because either blockSize or spaceSize (or both) is set to zero :' ).SetPosition( 16, 184 ).SetSize( 211, 65 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label6.SetName( Result.Form, 'Label6' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label6.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label7.TabOrder = -1
      Result.Label7 := NewLabel( Result.GroupBox1, 'aBar.BlockSize := 0; aBar.SpaceSize := 0; ' ).SetPosition( 248, 192 ).SetSize( 153, 41 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label7.SetName( Result.Form, 'Label7' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label7.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.TrackBar1.TabOrder = 0
      Result.TrackBar1 := PTrackbar( NewTrackBar( Result.GroupBox1, [trbAutoTicks,trbNoBorder], Result.TrackBar1Scroll ).SetPosition( 456, 224 ).SetSize( 209, 33 ));
   {$IFDEF USE_NAMES}
      Result.TrackBar1.SetName( Result.Form, 'TrackBar1' ); 
   {$ENDIF}
    Result.TrackBar1.TabStop := FALSE;
      Result.TrackBar1.RangeMax := 100;
      Result.TrackBar1.Position := 50;
      Result.TrackBar1.TickFreq := 4;
    // Result.Panel1.TabOrder = 1
      Result.Panel1 := NewPanel( Result.GroupBox1, esLowered ).SetPosition( 232, 56 ).SetSize( 2, 97 );
   {$IFDEF USE_NAMES}
      Result.Panel1.SetName( Result.Form, 'Panel1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Panel1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Panel3.TabOrder = 1
      Result.Panel3 := NewPanel( Result.GroupBox1, esLowered ).SetPosition( 232, 168 ).SetSize( 2, 105 );
   {$IFDEF USE_NAMES}
      Result.Panel3.SetName( Result.Form, 'Panel3' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Panel3.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.QProgressBar1.TabOrder = 2
      Result.QProgressBar1 := PQProgressBar( NewQProgressBar( Result.GroupBox1 ).SetPosition( 456, 96 ).SetSize( 208, 0 ));
   {$IFDEF USE_NAMES}
      Result.QProgressBar1.SetName( Result.Form, 'QProgressBar1' ); 
   {$ENDIF}
      Result.QProgressBar1.ShowFullBlock:= true;
      Result.QProgressBar1.BlockSize:= 15;
      Result.QProgressBar1.SpaceSize:= 4;
      Result.QProgressBar1.BarKind:= bkCylinder;
      Result.QProgressBar1.Progress:= 50;
      Result.QProgressBar1.StartColor:= $C1F309;
      Result.QProgressBar1.FinalColor:= $C1F309;
    // Result.QProgressBar2.TabOrder = 3
      Result.QProgressBar2 := PQProgressBar( NewQProgressBar( Result.GroupBox1 ).SetPosition( 456, 128 ).SetSize( 208, 0 ));
   {$IFDEF USE_NAMES}
      Result.QProgressBar2.SetName( Result.Form, 'QProgressBar2' ); 
   {$ENDIF}
      Result.QProgressBar2.BlockSize:= 15;
      Result.QProgressBar2.SpaceSize:= 4;
      Result.QProgressBar2.BarKind:= bkCylinder;
      Result.QProgressBar2.Progress:= 50;
      Result.QProgressBar2.StartColor:= $C1F309;
      Result.QProgressBar2.FinalColor:= $C1F309;
    // Result.Panel2.TabOrder = 4
      Result.Panel2 := NewPanel( Result.GroupBox1, esLowered ).SetPosition( 24, 160 ).SetSize( 633, 2 );
   {$IFDEF USE_NAMES}
      Result.Panel2.SetName( Result.Form, 'Panel2' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Panel2.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.QProgressBar3.TabOrder = 5
      Result.QProgressBar3 := PQProgressBar( NewQProgressBar( Result.GroupBox1 ).SetPosition( 456, 184 ).SetSize( 209, 0 ));
   {$IFDEF USE_NAMES}
      Result.QProgressBar3.SetName( Result.Form, 'QProgressBar3' ); 
   {$ENDIF}
      Result.QProgressBar3.BarKind:= bkCylinder;
      Result.QProgressBar3.Progress:= 50;
      Result.QProgressBar3.StartColor:= $C1F309;
      Result.QProgressBar3.FinalColor:= $C1F309;
    // Result.GroupBox2.TabOrder = 1
    Result.GroupBox2 := NewGroupBox( Result.Form, '' ).SetPosition( 696, 0 ).SetSize( 201, 281 );
   {$IFDEF USE_NAMES}
    Result.GroupBox2.SetName( Result.Form, 'GroupBox2' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox2.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox2.TabStop := FALSE;
    // Result.Label8.TabOrder = -1
      Result.Label8 := NewLabel( Result.GroupBox2, 'Four flat vertical bars, on a panel of the same color than their background one.' ).SetPosition( 6, 224 ).SetSize( 191, 49 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label8.SetName( Result.Form, 'Label8' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label8.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Panel4.TabOrder = 0
      Result.Panel4 := NewPanel( Result.GroupBox2, esNone ).SetPosition( 16, 16 ).SetSize( 169, 177 );
   {$IFDEF USE_NAMES}
      Result.Panel4.SetName( Result.Form, 'Panel4' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Panel4.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.Panel4.Ctl3D := False;
    Result.Panel4.Color := TColor($510000);
    // Result.QProgressBar10.TabOrder = 0
        Result.QProgressBar10 := PQProgressBar( NewQProgressBar( Result.Panel4 ).SetPosition( 120, 8 ).SetSize( 25, 160 ));
   {$IFDEF USE_NAMES}
        Result.QProgressBar10.SetName( Result.Form, 'QProgressBar10' ); 
   {$ENDIF}
        Result.QProgressBar10.BlockSize:= 1;
        Result.QProgressBar10.SpaceSize:= 1;
        Result.QProgressBar10.Orientation:= boVertical;
        Result.QProgressBar10.ShapeColor:= $510000;
        Result.QProgressBar10.StartColor:= clRed;
        Result.QProgressBar10.BackgroundColor:= $510000;
        Result.QProgressBar10.InactivePosColor:= $643C42;
        Result.QProgressBar10.ShowInactivePos:= true;
        Result.QProgressBar10.RoundCorner:= false;
    // Result.QProgressBar7.TabOrder = 0
        Result.QProgressBar7 := PQProgressBar( NewQProgressBar( Result.Panel4 ).SetPosition( 24, 8 ).SetSize( 25, 160 ));
   {$IFDEF USE_NAMES}
        Result.QProgressBar7.SetName( Result.Form, 'QProgressBar7' ); 
   {$ENDIF}
        Result.QProgressBar7.BlockSize:= 1;
        Result.QProgressBar7.SpaceSize:= 1;
        Result.QProgressBar7.Orientation:= boVertical;
        Result.QProgressBar7.ShapeColor:= $510000;
        Result.QProgressBar7.StartColor:= clRed;
        Result.QProgressBar7.BackgroundColor:= $510000;
        Result.QProgressBar7.InactivePosColor:= $643C42;
        Result.QProgressBar7.ShowInactivePos:= true;
        Result.QProgressBar7.RoundCorner:= false;
    // Result.QProgressBar8.TabOrder = 0
        Result.QProgressBar8 := PQProgressBar( NewQProgressBar( Result.Panel4 ).SetPosition( 56, 8 ).SetSize( 25, 160 ));
   {$IFDEF USE_NAMES}
        Result.QProgressBar8.SetName( Result.Form, 'QProgressBar8' ); 
   {$ENDIF}
        Result.QProgressBar8.BlockSize:= 1;
        Result.QProgressBar8.SpaceSize:= 1;
        Result.QProgressBar8.Orientation:= boVertical;
        Result.QProgressBar8.ShapeColor:= $510000;
        Result.QProgressBar8.StartColor:= clRed;
        Result.QProgressBar8.BackgroundColor:= $510000;
        Result.QProgressBar8.InactivePosColor:= $643C42;
        Result.QProgressBar8.ShowInactivePos:= true;
        Result.QProgressBar8.RoundCorner:= false;
    // Result.QProgressBar9.TabOrder = 0
        Result.QProgressBar9 := PQProgressBar( NewQProgressBar( Result.Panel4 ).SetPosition( 88, 8 ).SetSize( 25, 160 ));
   {$IFDEF USE_NAMES}
        Result.QProgressBar9.SetName( Result.Form, 'QProgressBar9' ); 
   {$ENDIF}
        Result.QProgressBar9.BlockSize:= 1;
        Result.QProgressBar9.SpaceSize:= 1;
        Result.QProgressBar9.Orientation:= boVertical;
        Result.QProgressBar9.ShapeColor:= $510000;
        Result.QProgressBar9.StartColor:= clRed;
        Result.QProgressBar9.BackgroundColor:= $510000;
        Result.QProgressBar9.InactivePosColor:= $643C42;
        Result.QProgressBar9.ShowInactivePos:= true;
        Result.QProgressBar9.RoundCorner:= false;
    // Result.TrackBar2.TabOrder = 1
      Result.TrackBar2 := PTrackbar( NewTrackBar( Result.GroupBox2, [trbAutoTicks,trbNoBorder], Result.TrackBar2Scroll ).SetPosition( 6, 192 ).SetSize( 188, 33 ));
   {$IFDEF USE_NAMES}
      Result.TrackBar2.SetName( Result.Form, 'TrackBar2' ); 
   {$ENDIF}
    Result.TrackBar2.TabStop := FALSE;
      Result.TrackBar2.RangeMax := 100;
      Result.TrackBar2.TickFreq := 4;
    // Result.GroupBox3.TabOrder = 2
    Result.GroupBox3 := NewGroupBox( Result.Form, '' ).SetPosition( 8, 280 ).SetSize( 361, 361 );
   {$IFDEF USE_NAMES}
    Result.GroupBox3.SetName( Result.Form, 'GroupBox3' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox3.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox3.TabStop := FALSE;
    // Result.Label10.TabOrder = -1
      Result.Label10 := NewLabel( Result.GroupBox3, 'aBar.BarLook := blMetal;' ).SetPosition( 16, 48 ).SetSize( 193, 0 );
   {$IFDEF USE_NAMES}
      Result.Label10.SetName( Result.Form, 'Label10' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label10.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label11.TabOrder = -1
      Result.Label11 := NewLabel( Result.GroupBox3, 'aBar.BarLook := blGlass;' ).SetPosition( 16, 128 ).SetSize( 177, 0 );
   {$IFDEF USE_NAMES}
      Result.Label11.SetName( Result.Form, 'Label11' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label11.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label9.TabOrder = -1
      Result.Label9 := NewLabel( Result.GroupBox3, 'Some other examples' ).SetPosition( 104, 16 ).SetSize( 145, 0 );
   {$IFDEF USE_NAMES}
      Result.Label9.SetName( Result.Form, 'Label9' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label9.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.Label9.Font.FontStyle := [ fsUnderline ];
    // Result.QProgressBar4.TabOrder = 0
      Result.QProgressBar4 := PQProgressBar( NewQProgressBar( Result.GroupBox3 ).SetPosition( 16, 72 ).SetSize( 327, 33 ));
   {$IFDEF USE_NAMES}
      Result.QProgressBar4.SetName( Result.Form, 'QProgressBar4' ); 
   {$ENDIF}
      Result.QProgressBar4.BlockSize:= 5;
      Result.QProgressBar4.SpaceSize:= 2;
      Result.QProgressBar4.BarKind:= bkCylinder;
      Result.QProgressBar4.Progress:= 85;
      Result.QProgressBar4.ShapeColor:= clBlack;
      Result.QProgressBar4.StartColor:= $C10BF1;
      Result.QProgressBar4.FinalColor:= $C1F309;
      Result.QProgressBar4.BackgroundColor:= clGray;
      Result.QProgressBar4.InactivePosColor:= clSilver;
      Result.QProgressBar4.ShowInactivePos:= true;
      Result.QProgressBar4.RoundCorner:= false;
    // Result.QProgressBar5.TabOrder = 0
      Result.QProgressBar5 := PQProgressBar( NewQProgressBar( Result.GroupBox3 ).SetPosition( 16, 152 ).SetSize( 327, 33 ));
   {$IFDEF USE_NAMES}
      Result.QProgressBar5.SetName( Result.Form, 'QProgressBar5' ); 
   {$ENDIF}
      Result.QProgressBar5.BlockSize:= 5;
      Result.QProgressBar5.SpaceSize:= 2;
      Result.QProgressBar5.BarKind:= bkCylinder;
      Result.QProgressBar5.BarLook:= blGlass;
      Result.QProgressBar5.Progress:= 85;
      Result.QProgressBar5.ShapeColor:= clBlack;
      Result.QProgressBar5.StartColor:= $C10BF1;
      Result.QProgressBar5.FinalColor:= $C1F309;
      Result.QProgressBar5.BackgroundColor:= clGray;
      Result.QProgressBar5.InactivePosColor:= clSilver;
      Result.QProgressBar5.ShowInactivePos:= true;
      Result.QProgressBar5.RoundCorner:= false;
    // Result.GroupBox4.TabOrder = 1
      Result.GroupBox4 := NewGroupBox( Result.GroupBox3, '' ).SetPosition( 8, 200 ).SetSize( 345, 89 );
   {$IFDEF USE_NAMES}
      Result.GroupBox4.SetName( Result.Form, 'GroupBox4' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox4.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox4.TabStop := FALSE;
    // Result.Label12.TabOrder = -1
        Result.Label12 := NewLabel( Result.GroupBox4, 'Bars without shape are transparent : aBar.Shaped := False;' ).SetPosition( 8, 16 ).SetSize( 265, 33 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
        Result.Label12.SetName( Result.Form, 'Label12' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label12.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.QProgressBar6.TabOrder = 0
        Result.QProgressBar6 := PQProgressBar( NewQProgressBar( Result.GroupBox4 ).SetPosition( 8, 56 ).SetSize( 325, 0 ));
   {$IFDEF USE_NAMES}
        Result.QProgressBar6.SetName( Result.Form, 'QProgressBar6' ); 
   {$ENDIF}
        Result.QProgressBar6.BlockSize:= 12;
        Result.QProgressBar6.SpaceSize:= 7;
        Result.QProgressBar6.BarKind:= bkCylinder;
        Result.QProgressBar6.Progress:= 85;
        Result.QProgressBar6.Shaped:= false;
        Result.QProgressBar6.StartColor:= $30402F;
        Result.QProgressBar6.FinalColor:= $0080FF;
    // Result.TrackBar3.TabOrder = 2
      Result.TrackBar3 := PTrackbar( NewTrackBar( Result.GroupBox3, [trbAutoTicks,trbNoBorder], Result.TrackBar3Scroll ).SetPosition( 8, 312 ).SetSize( 345, 33 ));
   {$IFDEF USE_NAMES}
      Result.TrackBar3.SetName( Result.Form, 'TrackBar3' ); 
   {$ENDIF}
    Result.TrackBar3.TabStop := FALSE;
      Result.TrackBar3.RangeMax := 100;
      Result.TrackBar3.Position := 85;
      Result.TrackBar3.TickFreq := 2;
    // Result.GroupBox5.TabOrder = 3
    Result.GroupBox5 := NewGroupBox( Result.Form, '' ).SetPosition( 376, 280 ).SetSize( 521, 361 );
   {$IFDEF USE_NAMES}
    Result.GroupBox5.SetName( Result.Form, 'GroupBox5' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox5.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox5.TabStop := FALSE;
    // Result.Label13.TabOrder = -1
      Result.Label13 := NewLabel( Result.GroupBox5, 'Try some settings' ).SetPosition( 104, 16 ).SetSize( 145, 0 );
   {$IFDEF USE_NAMES}
      Result.Label13.SetName( Result.Form, 'Label13' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label13.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.Label13.Font.FontStyle := [ fsUnderline ];
    // Result.Label14.TabOrder = -1
      Result.Label14 := NewLabel( Result.GroupBox5, '(Bars without shape are transparents)' ).SetPosition( 296, 48 ).SetSize( 137, 33 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label14.SetName( Result.Form, 'Label14' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label14.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.Label14.Font.Color := TColor(clNavy);
    Result.Label14.Font.FontHeight := -11;
    // Result.Label15.TabOrder = -1
      Result.Label15 := NewLabel( Result.GroupBox5, 'BlockSize' ).SetPosition( 264, 184 ).SetSize( 73, 0 );
   {$IFDEF USE_NAMES}
      Result.Label15.SetName( Result.Form, 'Label15' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label15.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label16.TabOrder = -1
      Result.Label16 := NewLabel( Result.GroupBox5, 'SpaceSize' ).SetPosition( 264, 216 ).SetSize( 73, 0 );
   {$IFDEF USE_NAMES}
      Result.Label16.SetName( Result.Form, 'Label16' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label16.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    // Result.Label17.TabOrder = -1
      Result.Label17 := NewLabel( Result.GroupBox5, '(In order to display blocks, both blockSize AND spaceSize must be <> 0)' ).SetPosition( 352, 184 ).SetSize( 161, 65 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label17.SetName( Result.Form, 'Label17' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label17.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.Label17.Font.Color := TColor(clNavy);
    Result.Label17.Font.FontHeight := -11;
    // Result.Label18.TabOrder = -1
      Result.Label18 := NewLabel( Result.GroupBox5, '(This bar displays the current position''s value, in its hint, as a percentage)' ).SetPosition( 352, 264 ).SetSize( 161, 65 ).MakeWordWrap;
   {$IFDEF USE_NAMES}
      Result.Label18.SetName( Result.Form, 'Label18' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Label18.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.Label18.Font.Color := TColor(clNavy);
    Result.Label18.Font.FontHeight := -11;
    // Result.GroupBox6.TabOrder = 0
      Result.GroupBox6 := NewGroupBox( Result.GroupBox5, ' BarKind ' ).SetPosition( 40, 88 ).SetSize( 145, 81 );
   {$IFDEF USE_NAMES}
      Result.GroupBox6.SetName( Result.Form, 'GroupBox6' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox6.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox6.TabStop := FALSE;
    // Result.RadioBox1.TabOrder = 0
        Result.RadioBox1 := NewRadioBox( Result.GroupBox6, 'bkFlat' ).SetPosition( 8, 24 );
   {$IFDEF USE_NAMES}
        Result.RadioBox1.SetName( Result.Form, 'RadioBox1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.RadioBox1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
        Result.RadioBox1.Tag := 1;
    // Result.RadioBox2.TabOrder = 1
        Result.RadioBox2 := NewRadioBox( Result.GroupBox6, 'bkCylinder' ).SetPosition( 8, 48 ).SetSize( 89, 0 );
   {$IFDEF USE_NAMES}
        Result.RadioBox2.SetName( Result.Form, 'RadioBox2' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.RadioBox2.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
        Result.RadioBox2.Tag := 2;
    // Result.CheckBox2.TabOrder = 1
      Result.CheckBox2 := NewCheckBox( Result.GroupBox5, 'Shaped' ).SetPosition( 208, 48 );
   {$IFDEF USE_NAMES}
      Result.CheckBox2.SetName( Result.Form, 'CheckBox2' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.CheckBox2.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.CheckBox2.Tag := 2;
      Result.CheckBox2.Checked := TRUE;
    // Result.GroupBox7.TabOrder = 2
      Result.GroupBox7 := NewGroupBox( Result.GroupBox5, ' BarLook ' ).SetPosition( 208, 88 ).SetSize( 145, 81 );
   {$IFDEF USE_NAMES}
      Result.GroupBox7.SetName( Result.Form, 'GroupBox7' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.GroupBox7.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
    Result.GroupBox7.TabStop := FALSE;
    // Result.RadioBox3.TabOrder = 0
        Result.RadioBox3 := NewRadioBox( Result.GroupBox7, 'blMetal' ).SetPosition( 8, 24 );
   {$IFDEF USE_NAMES}
        Result.RadioBox3.SetName( Result.Form, 'RadioBox3' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.RadioBox3.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
        Result.RadioBox3.Tag := 3;
        Result.RadioBox3.Enabled := False;
    // Result.RadioBox4.TabOrder = 1
        Result.RadioBox4 := NewRadioBox( Result.GroupBox7, 'blGlass' ).SetPosition( 8, 48 ).SetSize( 81, 0 );
   {$IFDEF USE_NAMES}
        Result.RadioBox4.SetName( Result.Form, 'RadioBox4' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.RadioBox4.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
        Result.RadioBox4.Tag := 4;
        Result.RadioBox4.Enabled := False;
    // Result.TrackBar4.TabOrder = 2
      Result.TrackBar4 := PTrackbar( NewTrackBar( Result.GroupBox5, [trbAutoTicks,trbNoBorder], Result.TrackBar4Scroll ).SetPosition( 56, 312 ).SetSize( 227, 33 ));
   {$IFDEF USE_NAMES}
      Result.TrackBar4.SetName( Result.Form, 'TrackBar4' ); 
   {$ENDIF}
    Result.TrackBar4.TabStop := FALSE;
      Result.TrackBar4.RangeMax := 100;
      Result.TrackBar4.Position := 70;
      Result.TrackBar4.TickFreq := 4;
    // Result.CheckBox1.TabOrder = 3
      Result.CheckBox1 := NewCheckBox( Result.GroupBox5, 'RoundCorner' ).SetPosition( 40, 48 ).SetSize( 113, 0 );
   {$IFDEF USE_NAMES}
      Result.CheckBox1.SetName( Result.Form, 'CheckBox1' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.CheckBox1.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.CheckBox1.Tag := 1;
      Result.CheckBox1.Checked := TRUE;
    // Result.CheckBox3.TabOrder = 4
      Result.CheckBox3 := NewCheckBox( Result.GroupBox5, 'ShowInactivePos' ).SetPosition( 40, 184 ).SetSize( 137, 0 );
   {$IFDEF USE_NAMES}
      Result.CheckBox3.SetName( Result.Form, 'CheckBox3' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.CheckBox3.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.CheckBox3.Tag := 3;
    // Result.CheckBox4.TabOrder = 5
      Result.CheckBox4 := NewCheckBox( Result.GroupBox5, 'InvertInactPos' ).SetPosition( 40, 208 ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
      Result.CheckBox4.SetName( Result.Form, 'CheckBox4' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.CheckBox4.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.CheckBox4.Tag := 4;
      Result.CheckBox4.Enabled := False;
    // Result.MHUpDown1.TabOrder = 6
      Result.MHUpDown1 := PMHUpDown( NewMHUpDown( Result.GroupBox5, udVertical, False, False, False, False, False,True,udRight ).SetPosition( 241, 184 ).SetSize( 16, 22 ));
   {$IFDEF USE_NAMES}
      Result.MHUpDown1.SetName( Result.Form, 'MHUpDown1' ); 
   {$ENDIF}
      Result.MHUpDown1.Max:=100;
      Result.MHUpDown1.Min:=0;
    // Result.EditBox1.TabOrder = 7
      Result.EditBox1 := NewEditBox( Result.GroupBox5, [ eoReadonly, eoNumber ] ).SetPosition( 208, 184 ).SetSize( 33, 0 );
   {$IFDEF USE_NAMES}
      Result.EditBox1.SetName( Result.Form, 'EditBox1' ); 
   {$ENDIF}
      Result.EditBox1.Tag := 1;
    {$IFNDEF UNICODE_CTRLS}Result.EditBox1.SetUnicode( TRUE );{$ENDIF}
      Result.EditBox1.Text := '0';
    // Result.EditBox2.TabOrder = 8
      Result.EditBox2 := NewEditBox( Result.GroupBox5, [ eoNumber ] ).SetPosition( 208, 216 ).SetSize( 33, 0 );
   {$IFDEF USE_NAMES}
      Result.EditBox2.SetName( Result.Form, 'EditBox2' ); 
   {$ENDIF}
      Result.EditBox2.Tag := 2;
    {$IFNDEF UNICODE_CTRLS}Result.EditBox2.SetUnicode( TRUE );{$ENDIF}
      Result.EditBox2.Text := '0';
    // Result.MHUpDown2.TabOrder = 9
      Result.MHUpDown2 := PMHUpDown( NewMHUpDown( Result.GroupBox5, udVertical, False, False, False, False, False,True,udRight ).SetPosition( 241, 216 ).SetSize( 16, 22 ));
   {$IFDEF USE_NAMES}
      Result.MHUpDown2.SetName( Result.Form, 'MHUpDown2' ); 
   {$ENDIF}
      Result.MHUpDown2.Max:=100;
      Result.MHUpDown2.Min:=0;
    // Result.CheckBox5.TabOrder = 10
      Result.CheckBox5 := NewCheckBox( Result.GroupBox5, 'ShowFullBlock' ).SetPosition( 208, 248 ).SetSize( 121, 0 );
   {$IFDEF USE_NAMES}
      Result.CheckBox5.SetName( Result.Form, 'CheckBox5' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.CheckBox5.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.CheckBox5.Tag := 5;
    // Result.Panel5.TabOrder = 11
      Result.Panel5 := NewPanel( Result.GroupBox5, esNone ).SetPosition( 24, 288 ).SetSize( 20, 20 );
   {$IFDEF USE_NAMES}
      Result.Panel5.SetName( Result.Form, 'Panel5' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Panel5.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.Panel5.Tag := 1;
    Result.Panel5.Color := TColor(clBlue);
    // Result.Panel6.TabOrder = 11
      Result.Panel6 := NewPanel( Result.GroupBox5, esNone ).SetPosition( 296, 288 ).SetSize( 20, 20 );
   {$IFDEF USE_NAMES}
      Result.Panel6.SetName( Result.Form, 'Panel6' ); 
   {$ENDIF}
   {$IFDEF UNICODE_CTRLS}
   Result.Panel6.SetUnicode(TRUE);
   {$ENDIF UNICODE_CTRLS}
      Result.Panel6.Tag := 2;
    Result.Panel6.Color := TColor(clYellow);
    // Result.QProgressBar11.TabOrder = 12
      Result.QProgressBar11 := PQProgressBar( NewQProgressBar( Result.GroupBox5 ).SetPosition( 56, 288 ).SetSize( 225, 0 ));
   {$IFDEF USE_NAMES}
      Result.QProgressBar11.SetName( Result.Form, 'QProgressBar11' ); 
   {$ENDIF}
      Result.QProgressBar11.Progress:= 70;
      Result.QProgressBar11.StartColor:= clBlue;
      Result.QProgressBar11.FinalColor:= clYellow;
      Result.QProgressBar11.InactivePosColor:= $9DBDFF;
      Result.CheckBox1.OnClick := Result.CheckBox1Click;
      Result.RadioBox1.OnClick := Result.RadioBox1Click;
    Result.RadioBox1.CreateWindow;
    Result.RadioBox1.SetRadioChecked;
      Result.RadioBox2.OnClick := Result.RadioBox1Click;
      Result.CheckBox2.OnClick := Result.CheckBox1Click;
      Result.RadioBox3.OnClick := Result.RadioBox1Click;
    Result.RadioBox3.CreateWindow;
    Result.RadioBox3.SetRadioChecked;
      Result.RadioBox4.OnClick := Result.RadioBox1Click;
      Result.CheckBox3.OnClick := Result.CheckBox1Click;
      Result.CheckBox4.OnClick := Result.CheckBox1Click;
    Result.EditBox1.Color := TColor(clWindow);
      Result.EditBox1.OnChange := Result.EditBox1Change;
      Result.MHUpDown1.OnChangingEx := Result.MHUpDown1ChangingEx;
    Result.MHUpDown1.Width := 16;
    Result.EditBox2.Color := TColor(clWindow);
      Result.EditBox2.OnChange := Result.EditBox1Change;
      Result.MHUpDown2.OnChangingEx := Result.MHUpDown2ChangingEx;
    Result.MHUpDown2.Width := 16;
      Result.CheckBox5.OnClick := Result.CheckBox1Click;
      Result.Panel5.OnClick := Result.Panel5Click;
      Result.Panel6.OnClick := Result.Panel5Click;
    Result.Form.CenterOnParent.CanResize := False;
    Result.Form.Perform( WM_INITMENU, 0, 0 );
    Result.KOLForm_FormCreate( Result );

end;

